post
https://saner.secpod.com/AncorWebService/perform
Add Security Remediation Job.
This method allows you to create a remediation job for missing security and non-security patches. The remediation job patch information will be retrieved from the “getApplicableRemediation” API.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier | Yes | string |
| name | Name of the remediation job | Yes | string |
| schedule | Schedule date (YYYY-MM-DD) or 'immediate' | Yes | string |
| starttime | Job start time (HH:MM:AM/PM format) | No | string |
| startwindowtime | Job start window time (HH:MM:AM/PM format) | No | string |
| startmessage | Message displayed at start of remediation | No | string |
| endmessage | Message displayed at end of remediation | No | string |
| autoreboot | Whether automatic reboot is enabled (TRUE/FALSE) | No | string |
| rebootmessage | Message displayed before reboot | No | string |
| forcereboot | Force reboot option (TRUE/FALSE) | No | string |
| autoreboottime | Scheduled reboot time (YYYY-MM-DD.HH:MM:SS format) | No | string |
| device | Target device(s) | Yes | array |
| remjobpatchesinfo | Patch remediation job details including asset name and patch info (JSON array) | Yes | array |
